Package Details: php-zts-apache 8.2.0-3

Git Clone URL: https://aur.archlinux.org/php-zts.git (read-only, click to copy)
Package Base: php-zts
Description: Apache SAPI for PHP
Upstream URL: https://www.php.net/
Licenses: PHP
Conflicts: php-apache
Provides: php-apache
Replaces: php-apache
Submitter: krant
Maintainer: andrew.shelyakov (localghost)
Last Packager: localghost
Votes: 2
Popularity: 0.000000
First Submitted: 2016-11-16 11:19 (UTC)
Last Updated: 2022-12-21 09:12 (UTC)

Required by (27)

Sources (8)

Latest Comments

1 2 Next › Last »

tsjost commented on 2022-09-10 22:59 (UTC)

I think the validpgpkeys shouldn't have any commas between keys? :)

gpg: "F1F692238FBC1666E5A5CCD4199F9DFEF6FFBAFD," not a key ID: skipping
 -> problem importing keys

localghost commented on 2021-05-13 19:09 (UTC)

Just tested on clean Arch installation and it builds without any issues. Make sure you have base-devel group installed

Rulatir commented on 2021-05-08 05:17 (UTC)

Won't build for me :( At one point in the build process it runs tests, most of which fail red (like 95%) and then it stops with:

=====================================================================
make: *** [Makefile:289: test] Błąd 1
==> BŁĄD: Wystąpił błąd w check().

(sorry for Polish locale, it says something like "ERROR: an error occurred in check()")

localghost commented on 2019-03-26 08:51 (UTC)

I fixed it + I bumped PHP to the last version

Kaukov commented on 2019-03-25 15:34 (UTC)

I have an issue while building:

/bin/sh /home/user/.cache/yay/php-zts/src/build/libtool --silent --preserve-dup-deps --mode=link cc -DPHP_ATOM_INC -I/home/user/.cache/yay/php-zts/src/build/include -I/home/user/.cache/yay/php-zts/src/build/main -I/home/user/.cache/yay/php-zts/src/php-7.3.0 -I/home/user/.cache/yay/php-zts/src/build/ext/date/lib -I/home/user/.cache/yay/php-zts/src/php-7.3.0/ext/date/lib -I/usr/include/libxml2 -I/usr/include/enchant-2 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/imap -I/home/user/.cache/yay/php-zts/src/php-7.3.0/ext/mbstring/oniguruma -I/home/user/.cache/yay/php-zts/src/build/ext/mbstring/oniguruma -I/home/user/.cache/yay/php-zts/src/php-7.3.0/ext/mbstring/libmbfl -I/home/user/.cache/yay/php-zts/src/build/ext/mbstring/libmbfl -I/home/user/.cache/yay/php-zts/src/php-7.3.0/ext/mbstring/libmbfl/mbfl -I/home/user/.cache/yay/php-zts/src/build/ext/mbstring/libmbfl/mbfl -I/usr/include/pspell -I/home/user/.cache/yay/php-zts/src/build/TSRM -I/home/user/.cache/yay/php-zts/src/build/Zend -I/home/user/.cache/yay/php-zts/src/php-7.3.0/main -I/home/user/.cache/yay/php-zts/src/php-7.3.0/Zend -I/home/user/.cache/yay/php-zts/src/php-7.3.0/TSRM -I/home/user/.cache/yay/php-zts/src/build/ -D_FORTIFY_SOURCE=2 -D_REENTRANT -pthread -I/usr/include -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fvisibility=hidden -pthread -DZTS -DZEND_SIGNALS -Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now -o ext/enchant/enchant.la -export-dynamic -avoid-version -prefer-pic -module -rpath /home/user/.cache/yay/php-zts/src/build/modules -avoid-version -module ext/enchant/enchant.lo -lenchant /usr/bin/ld: cannot find -lenchant

localghost commented on 2019-02-18 06:49 (UTC)

This version doesn't have apache httpd server as its dependency

keithspg commented on 2019-02-17 21:05 (UTC)

How do I compile php-zts for use with nginx instead of apache? I need pthreads and to compile i php-pthreads, I need php-zts. I am not using apache and the only versions of php-zts I have found all require apache. I am not averse to building it, but need a little direction.

localghost commented on 2018-12-10 07:18 (UTC)

SOAP extension is part of the main build. You just need to enable it in your php.ini file